### Method

# Soup WebsocketConnection get_uri

#### Declaration [src]

    GUri*
    soup_websocket_connection_get_uri (
      SoupWebsocketConnection* self
    )

#### Description [src]

Get the URI of the WebSocket.

For servers this represents the address of the WebSocket, and for clients it is the address connected to.

Gets property | `Soup.WebsocketConnection:uri`

#### Return value

Type: `GUri`

The URI.

The data is owned by the instance.